{
  lib,
  pkgs,
  inputs,
  ...
}: {
  programs.zellij = {
    # This autostarts zellij on zsh start
    # TODO find specific settings for vscode to avoid
    enable = true;
    enableZshIntegration = true;
    settings = {
      session_serialization = true;
      theme = "catppuccin-macchiato";

      themes = {
        catppuccin-macchiato = {
          bg = "#5b6078";
          fg = "#cad3f5";
          red = "#ed8796";
          green = "#a6da95";
          blue = "#8aadf4";
          yellow = "#eed49f";
          magenta = "#f5bde6";
          orange = "#f5a97f";
          cyan = "#91d7e3";
          black = "#1e2030";
          white = "#cad3f5";
        };
      };
      pane = {
        "plugin location= \"file:${inputs.zjstatus.packages.${pkgs.system}.default}/bin/zjstatus.wasm\"" = {
          format_left = "{mode} #[fg=#89B4FA,bold]{session}";
          format_center = "{tabs}";
          format_right = "{command_git_branch} {datetime}";
          format_space = "";

          border_enabled = "false";
          border_char = "─";
          border_format = "#[fg=#6C7086]{char}";
          border_position = "top";

          hide_frame_for_single_pane = "true";

          mode_normal = "#[bg=blue] ";
          mode_tmux = "#[bg=#ffc387] ";

          tab_normal = "#[fg=#6C7086] {name} ";
          tab_active = "#[fg=#9399B2,bold,italic] {name} ";

          command_git_branch_command = "git rev-parse --abbrev-ref HEAD";
          command_git_branch_format = "#[fg=blue] {stdout} ";
          command_git_branch_interval = "10";
          command_git_branch_rendermode = "static";

          datetime = "#[fg=#6C7086,bold] {format} ";
          datetime_format = "%A, %d %b %Y %H:%M";
          datetime_timezone = "Europe/Amsterdam";
        };
      };
    };
  };

  # home.file = {
  #   "zellij" = {
  #     source = ./zellij.kdl;
  #     target = ".config/zellij/config.kdl";
  #   };
  # };
}
